Subject: Re: Revised IAOC Administrative Procedures draft

From: Bob Hinden <[email-masked]>
Date: Fri, 10 Sep 2010 09:00:02 -0700

Hi,

To date, I have not seen any comments.  The IAOC is putting this on it's agenda for our call next week.

Bob

On Aug 12, 2010, at 5:56 PM, Bob Hinden wrote:

> The IAOC solicits feedback on the revised Administrative Procedures draft that is attached.
> 
> An early draft was sent to the community for comment on 28 May 2010.  Many comments received were about how this relates to BCP101, if the IAOC was changing BCP101, creating new rules, or clarifying areas where BCP101 was not clear.  The attached draft should clarify these comments. 
> 
> In most cases, it includes the relevant BCP101 text and then describes how the IAOC is implementing this.  There are a few cases where BCP101 does not provide specific guidance.  In these cases the Administrative Procedures describes what the IAOC is doing as BCP101 requires.
> 
> The first paragraph of the Administrative Procedures states:
> 
>   RFC 4071 (BCP 101) is the governing authority for IASA, the IAOC and
>   the IAD. It contains clear direction and guidance, but not all the
>   details required for the day-to-day operation of the IETF
>   Administrative Support Activity. BCP 101 section 3.4 specifically
>   tasks the IAOC to decide the details about its decision-making rules
>   and making them public. These Procedures are in response to that
>   requirement, and are further intended to provide clarity for the IAOC
>   and IAD in the execution of operational responsibilities. Further,
>   these procedures are not intended to change BCP 101; that would
>   require another BCP in accordance with section 2.4.
> 
> We hope this version resolves the concerns raised about the earlier version.
> 
> Bob Hinden
> IAOC Chair
> 
> p.s. I will be on vacation starting next week and will respond to comments when I return.
> 
> <IAOC Administrative Procedures 8-13-2010.pdf>
> 
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Sun, 12 Sep 2010 14:22:38 +0100

Bob,

Since you ask...

This looks good.
The only nit I can pick is with 5.1

The BCP calls for rules on expenses to be published.
The "rule" you are publishing is that the IAOC and/or its chair can 
determine the expenses it pays to members of the IAOC "for exceptional cases 
only."

I have absolutely no doubt of the integrity of the IAOC and its chair, but 
this rule is somewhat vague and open to interpretation. It is like using the 
word "appropriate" in a protocol spec!

Could you look at qualifying this in some way to scope the exceptional 
circumstances. Perhaps payment of expenses would be made only if the payment 
has been agreed before the expense was incurred?

Cheers,
Adrian

----- Original Message ----- 
From: "Bob Hinden" <[email-masked]>
To: "IETF discussion list" <[email-masked]>
Cc: "Bob Hinden" <[email-masked]>
Sent: Friday, September 10, 2010 5:00 PM
Subject: Re: Revised IAOC Administrative Procedures draft

>> An early draft was sent to the community for comment on 28 May 2010. 
>> Many comments received were about how this relates to BCP101, if the IAOC 
>> was changing BCP101, creating new rules, or clarifying areas where BCP101 
>> was not clear.  The attached draft should clarify these comments.
>>
>> In most cases, it includes the relevant BCP101 text and then describes 
>> how the IAOC is implementing this.  There are a few cases where BCP101 
>> does not provide specific guidance.  In these cases the Administrative 
>> Procedures describes what the IAOC is doing as BCP101 requires.
>>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

---

From: Henk Uijterwaal <[email-masked]>
Date: Sun, 12 Sep 2010 16:21:00 +0200

Adrian,

> I have absolutely no doubt of the integrity of the IAOC and its chair, but this
> rule is somewhat vague and open to interpretation. It is like using the word
> "appropriate" in a protocol spec!

Yes, true, but this is really a rare exception.  In the 1.5 years that I've
been on the IAOC, I don't remember a case where expenses were made and
reimbursed.  That makes it hard to be more precise here.
 
> circumstances. Perhaps payment of expenses would be made only if the payment has
> been agreed before the expense was incurred?

If the IAOC members wanted to claim expenses that should not be reimbursed,
this rule would be easy to circumvent.  If this is a concern, then I'd
suggest that the IAOC simply publishes what expenses were paid.

Henk

-- 
------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
RIPE Network Coordination Centre          http://www.xs4all.nl/~henku
P.O.Box 10096          Singel 258         Phone: +31.20.5354414
1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
The Netherlands        The Netherlands    Mobile: +31.6.55861746
------------------------------------------------------------------------------

I confirm today what I denied yesterday.            Anonymous Politician.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 13 Sep 2010 08:35:49 +1200

> suggest that the IAOC simply publishes what expenses were paid.

Yes, RFC 4071 (BCP 101) says"
"  The IAOC shall set and publish rules covering reimbursement of
   expenses, and such reimbursement shall generally be for exceptional
   cases only."

iirc this was originally put in to cover corner cases such as an IAOC
member suddenly finding him/herself between jobs and needing to attend
a meeting, or something like that. But it does appear that the IAOC is
obliged to publish rules. I suggest doing that as a separate document.

    Brian

---

From: Ole Jacobsen <[email-masked]>
Date: Sun, 12 Sep 2010 15:16:53 -0700 (PDT)

Suppose we held an IAOC meeting in some commercial meeting room venue 
(virtual or real). Suppose one of us as an individual had to pay 
the fee for the use of the room in advance on behalf of the IAOC (or 
ISOC really). In such circumstances I would expect the individual
to be reimbursed at some point.

I can imagine many similar scenarios and I think the rule as stated
is clear enough: no member of the IAOC (except the IAD) is being
paid for their services, expenses is something quite different.

I am sure there are other parts of the organization where similar
discretionary rules apply, and this isn't a protocol spec. I agree
with Henk that if this seems non-transparent we should publish the
actual expenses paid in our minutes.

Ole

Ole J. Jacobsen
Editor and Publisher,  The Internet Protocol Journal
Cisco Systems
Tel: +1 408-527-8972   Mobile: +1 415-370-4628
E-mail: [email-masked]  URL: http://www.cisco.com/ipj

---

From: Bob Hinden <[email-masked]>
Date: Sun, 12 Sep 2010 23:26:26 -0700

Adrian,

> This looks good.

Thanks.

> The "rule" you are publishing is that the IAOC and/or its chair can determine the expenses it pays to members of the IAOC "for exceptional cases only."
> 
> I have absolutely no doubt of the integrity of the IAOC and its chair, but this rule is somewhat vague and open to interpretation. It is like using the word "appropriate" in a protocol spec!
> 
> Could you look at qualifying this in some way to scope the exceptional circumstances. Perhaps payment of expenses would be made only if the payment has been agreed before the expense was incurred?

As the text says, it is for "exceptional cases".  This is from BCP101.  I am in my second term on the IAOC and can't remember a case of this being used.  My understanding of the intent of the text in BCP101 was that it could be used in a manner similar to the IETF and IAB chairs discretionary funds.  For example, to pay for travel expenses for an IAOC member who didn't have any other support to attend a meeting.  Would it help if we said that?  

I am somewhat hesitant to create detailed rules for something that hasn't happened to date.

Bob

> 
> Cheers,
> Adrian
> 
> ----- Original Message ----- From: "Bob Hinden" <[email-masked]>

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 13 Sep 2010 17:39:25 +0100

Several interesting responses, thanks.

I agree that detailed rules would be onerous and unable to cope with the 
exceptional circumstances that the condition is intended to cover.

On the other hand BCP101 does seem to require some rules.

Dave said:

> There are enough hassles for the IAOC tasks; let's wait to impose stricter 
> rules until we see clear evidence they are needed.

OK, I think that provides a way forward. Let's put in place a mechanisms 
that allows the flexibility (i.e., not change to the "under exceptional 
circumstances" and "with agreement of the IAOC chair or the IAOC"), but 
remove the risk of surprise by inserting "with prior agreement", and supply 
a way of determining whether stricter rules are needed by requiring "annual 
reporting of expenses paid".

Cheers,
Adrian

---

From: Bob Hinden <[email-masked]>
Date: Mon, 13 Sep 2010 10:12:46 -0700

Adrian,

On Sep 13, 2010, at 9:39 AM, Adrian Farrel wrote:

> I agree that detailed rules would be onerous and unable to cope with the exceptional circumstances that the condition is intended to cover.
> 

Right, the additional rules we were proposing are:

    In furtherance of this requirement expenses for members of the IAOC may be reimbursed
    upon approval of the IAOC Chair, or by a consensus of the IAOC, for exceptional cases only.

> Dave said:
> 
>> There are enough hassles for the IAOC tasks; let's wait to impose stricter rules until we see clear evidence they are needed.
> 
> OK, I think that provides a way forward. Let's put in place a mechanisms that allows the flexibility (i.e., not change to the "under exceptional circumstances" and "with agreement of the IAOC chair or the IAOC"), but remove the risk of surprise by inserting "with prior agreement", and supply a way of determining whether stricter rules are needed by requiring "annual reporting of expenses paid".

To me "exceptional cases" also implies unplanned.  It would be nice to still have this flexibility.  

Bob

---

From: Marshall Eubanks <[email-masked]>
Date: Mon, 13 Sep 2010 13:16:31 -0400

On Sep 13, 2010, at 12:39 PM, Adrian Farrel wrote:

> OK, I think that provides a way forward. Let's put in place a mechanisms that allows the flexibility (i.e., not change to the "under exceptional circumstances" and "with agreement of the IAOC chair or the IAOC"), but remove the risk of surprise by inserting "with prior agreement",

I am not sure that the prior agreement is a good idea. What may trigger this is something like 

IAOC member shows up for IAOC event at X, finds that the room reservation (or breakfast or projector or ...) has been canceled (or is for the wrong date or ...) and that this problem can be fixed if they put down a payment immediately. Most of the rest of the IAOC is in transit, and prior agreement in terms of a vote cannot possibly be obtained until it may be too late. The missing item in the normal course of events would be paid for out of the IASA budget.

If I were to be placed in that situation, I would go ahead, put the money down, and hope to be reimbursed, prior authorization or no. 

> and supply a way of determining whether stricter rules are needed by requiring "annual reporting of expenses paid".
> 

I have no problem with that. As a suggestion, let's leave the text alone, and add

Any reimbursement of expenses to IAOC members for IAOC expenses will be reported in the minutes and in the annual reports by the IAOC Chair. 

(Such reports are required, and have been given in plenary.)

Marshall

Marshall

---

From: Steve Crocker <[email-masked]>
Date: Mon, 13 Sep 2010 13:32:16 -0400

I've generally stayed out of this discussion, but let me offer a word  
of support to Bob, et al re maintaining some flexibility.  There are  
two very strong protections already in place in this system.  First,  
the operation of the IAOC -- and IASA -- are fully documented and  
visible.  If the IAOC does something inappropriate, it will become  
visible and everyone will learn from it. Second, bills get paid  
through ISOC's normal processes.  ISOC has a set of controls in place  
to document expenses and make sure they follow the expected set of  
rules.  In addition to these strong protections, a questionable  
expenditure, even if it's several thousand dollars, isn't going to go  
irreparable harm to the IETF or ISOC.  Trying to prescribe a strict  
set of rules in addition to these protections is counterproductive and  
may remove flexibility that's needed for the benefit of the IETF at  
some future time.

The IETF's success, and, indeed, the success of the whole Internet,  
has come from maximum flexibility and minimum a priori rules and  
permissions.  We can easily afford to wait for the IAOC to screw up in  
some egregious fashion before we have to draft and administer rules to  
prevent subsequent abuses.  In the meantime, let the IAOC do its job  
on behalf of the community.

Steve

Full disclosure: I was on the committee that formulated the IAOC and I  
served on the IAOC for a period of time.

On Sep 13, 2010, at 1:16 PM, Marshall Eubanks wrote:

>> I agree that detailed rules would be onerous and unable to cope  
>> with the exceptional circumstances that the condition is intended  
>> to cover.
>>
>>> There are enough hassles for the IAOC tasks; let's wait to impose  
>>> stricter rules until we see clear evidence they are needed.
>>
>> OK, I think that provides a way forward. Let's put in place a  
>> mechanisms that allows the flexibility (i.e., not change to the  
>> "under exceptional circumstances" and "with agreement of the IAOC  
>> chair or the IAOC"), but remove the risk of surprise by inserting  
>> "with prior agreement",
>
> IAOC member shows up for IAOC event at X, finds that the room  
> reservation (or breakfast or projector or ...) has been canceled (or  
> is for the wrong date or ...) and that this problem can be fixed if  
> they put down a payment immediately. Most of the rest of the IAOC is  
> in transit, and prior agreement in terms of a vote cannot possibly  
> be obtained until it may be too late. The missing item in the normal  
> course of events would be paid for out of the IASA budget.
>
> If I were to be placed in that situation, I would go ahead, put the  
> money down, and hope to be reimbursed, prior authorization or no.
>
>
>> and supply a way of determining whether stricter rules are needed  
>> by requiring "annual reporting of expenses paid".
>>
>
> Any reimbursement of expenses to IAOC members for IAOC expenses will  
> be reported in the minutes and in the annual reports by the IAOC  
> Chair.
>

---

From: Dave CROCKER <[email-masked]>
Date: Mon, 13 Sep 2010 09:29:14 -0700

On 9/12/2010 6:22 AM, Adrian Farrel wrote:
> circumstances.

An interesting challenge when writing rules about human behavior -- such as 
operation of a committee -- is to choose the right balance between constraint 
and flexibility. Make things too precise (and therefore constrained) and it's a 
bureaucratic nightmare.  Make them too flexible and they are subject to abuse.

For a technical standards body, we find it oddly challenging to follow overly 
precise rules.  While this invites some danger of personal excesses, this 
particular topic so far does not seem inclined toward them.

There are enough hassles for the IAOC tasks; let's wait to impose stricter rules 
until we see clear evidence they are needed.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net